<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@page import="com.ebsco.*"%>
<%@page import="org.w3c.dom.Document" %>
<%@page import="org.w3c.dom.*"%>
<html>
<head>
<link rel="stylesheet" href="../Styles/style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Browse Database</title>
</head>
<body>
<%
//Getting the username and password information from web.xml file in WEB-INF
String strUserID = application.getInitParameter("username");
String strPwd = application.getInitParameter("password");
//Creating the Rest object from class name Rest.java
Rest xmlDoc=new Rest();
Document xmlData;
StringBuilder sbData=new StringBuilder();
//Getting parameters from the query
String dbSelected=request.getParameter("db");
String indexSelected=request.getParameter("index");
String browseSelected=request.getParameter("browse");
browseSelected=browseSelected.replace(" ", "+");
%>
<div class="search_area_right" style="background-color: #CCE0FF;">
<div id="box_search_right" style="background-color: #FFFFFF;">
<table>
    <tr>
        <td  style="vertical-align: top;">
            <img src="../Styles/images/logoEhost.gif" style="float:left" alt="" />
        </td>
        <td  style="vertical-align: top;">
            <p style='height: 17px;
                font-weight: bold;'><br/><br/>
                        EBSCO Integration Toolkit (EIT) Web Services:  Simple Search Results
            </p>
        </td>
    </tr>
</table>
<input type="hidden" value="<%=dbSelected%>" name="db"/>
<p class="title"> </p>
<table width="700px">
<tr>
<td align="left">
<a href="Search.jsp?db=<%=dbSelected%>">Refine Search</a>
</td>
<td align="right">
    <%--changed    <form action="Browse.jsp?db=<%=dbSelected%>&index=<%=indexSelected%>&browse=" method="GET">--%>
<form action="Browse.jsp" method="GET">
New Search :
	<%--changed 	<input type="hidden" value="<%=dbSelected%>" name="db"/>
		<input type="hidden" value="<%=indexSelected%>" name="index"/>
        <input name="browse" type="text"  value=""/>
		<input type="submit" value="Search" /> --%>

        <input type="hidden" name="db" value="<%=dbSelected%>" />
        <input name="browse" type="text"  value=""/>
        <input name="index" type="text" value="<%=indexSelected%>"style="display:none;" />
        <input type="submit" value="Search" />
</form>
</td>
</tr>
</table>
<table  width="700px">
  <tr  class="title">
     <th  width="500px">Name</th>
     <th  width="200px">Records Count</th>
  </tr>
<%
try
{
	//Checking whether browse term is filled by the user or not
	if("".equals(browseSelected))
	{
		String rtn="Search.jsp?db="+dbSelected;
        response.sendRedirect(rtn);
	}
    else
    {
    	//Setting the parameters string array
        String[] parms = new String[] {indexSelected,browseSelected,dbSelected };
    	//Setting the webservice URL using connect function from Rest Class
        xmlDoc.connect("http://eit.ebscohost.com/Services/SearchService.asmx/");
        //Passing the parameters in method name send of Rest Class and getting response as document. 
        xmlData = xmlDoc.send("Browse", parms,strUserID,strPwd);
        if (xmlData!=null)
        {
        	//Looping through the document using tagname rec.
            NodeList xnList = xmlData.getElementsByTagName("rec");
            %>
            <table>
            <%
            //Looping the NodeList of the document for the desire nodes. 
                for (int i = 0; i < xnList.getLength(); i++)
                {
                    Node firstNode = xnList.item(i);
                    Element dbIndicesElement = (Element)firstNode;
                    NodeList internalList = dbIndicesElement.getElementsByTagName("browseTerms");
                    for(int internalIndex=0;internalIndex<internalList.getLength();internalIndex++)
                    {
                        Node internalFirstNode = internalList.item(internalIndex);
                        if(internalFirstNode.getNodeType()== Node.ELEMENT_NODE)
                        {
                            NamedNodeMap getAttrib1 = internalFirstNode.getAttributes();
                            if (getAttrib1.getNamedItem("searchKey").getNodeValue() != null || getAttrib1.getNamedItem("count").getNodeValue() != null)
                            {
                              %>
                              <tr>
                              <td width='500px'><a href='Browse.jsp?db=<%=dbSelected%>&index=<%=indexSelected%>&browse=<%= getAttrib1.getNamedItem("searchKey").getNodeValue().replace(" ", "+") %>'><%= getAttrib1.getNamedItem("searchKey").getNodeValue().replace(",", "").replace("+", "") %></a></td>
                              <td width='200px'><a href='Browse.jsp?db=<%=dbSelected%>&index=<%= indexSelected%>&browse=<%=getAttrib1.getNamedItem("count").getNodeValue().replace(",", "").replace("+", "")%>'><%= getAttrib1.getNamedItem("count").getNodeValue().replace(",", "").replace("+", "")%></a></td>
                              </tr>
                        <%  }
                         }
                    }
                }
                %></table><%
        }
    }
}
catch (Exception e)
{
	e.getMessage();
}
%>
</table>
</div>
<a href="http://support.ebscohost.com/eit/" style="text-align:center;text-decoration: underline;color:#104E8B;font-size: 10px;">Return to EBSCOhost Integration Toolkit Home</a>
</div>
</body>
</html>